﻿@model GarageMaster.Models.RoleModels.RolesModel

@{
    ViewData["Title"] = "Roles";
}

<h1>Roles</h1>

<p>
    <a asp-area="Admin" asp-controller="Role" asp-action="CreateRole">Create New Role</a>
</p>

<table class="table">
    <thead>
    <tr>
        <th>
            @Html.DisplayNameFor(model => model.RoleModel.Name)
        </th>
        <th></th>
    </tr>
    </thead>
    <tbody>
    @foreach (var item in Model.Roles)
    {
        <tr>
            <td>
                @Html.DisplayFor(modelItem => item.Name)
            </td>
            <td>
                <a asp-area="Admin" asp-controller="Role" asp-action="ProfileRole" asp-route-id="@item.Id">
                    <input type="submit" value="Details" class="btn btn-primary mt-3" />
                </a>
            </td>
        </tr>
    }
    </tbody>
</table>